import { Subject } from "rxjs";
import { ControlClaim } from "./ControlClaim";
import { PublicIdentifier } from "./PublicIdentifier";
import { PullPayment } from "./PullPayment";
import { PushPayment } from "./PushPayment";
import { Balances } from "./Balances";
import { EthereumAddress } from "./EthereumAddress";
export declare class HypernetContext {
    account: EthereumAddress | null;
    publicIdentifier: PublicIdentifier | null;
    inControl: boolean;
    onControlClaimed: Subject<ControlClaim>;
    onControlYielded: Subject<ControlClaim>;
    onPushPaymentSent: Subject<PushPayment>;
    onPullPaymentSent: Subject<PullPayment>;
    onPushPaymentReceived: Subject<PushPayment>;
    onPullPaymentReceived: Subject<PullPayment>;
    onPushPaymentUpdated: Subject<PushPayment>;
    onPullPaymentUpdated: Subject<PullPayment>;
    onBalancesChanged: Subject<Balances>;
    onMerchantAuthorized: Subject<string>;
    onAuthorizedMerchantUpdated: Subject<string>;
    onAuthorizedMerchantActivationFailed: Subject<string>;
    onMerchantIFrameDisplayRequested: Subject<string>;
    onMerchantIFrameCloseRequested: Subject<string>;
    onInitializationRequired: Subject<void>;
    constructor(account: EthereumAddress | null, publicIdentifier: PublicIdentifier | null, inControl: boolean, onControlClaimed: Subject<ControlClaim>, onControlYielded: Subject<ControlClaim>, onPushPaymentSent: Subject<PushPayment>, onPullPaymentSent: Subject<PullPayment>, onPushPaymentReceived: Subject<PushPayment>, onPullPaymentReceived: Subject<PullPayment>, onPushPaymentUpdated: Subject<PushPayment>, onPullPaymentUpdated: Subject<PullPayment>, onBalancesChanged: Subject<Balances>, onMerchantAuthorized: Subject<string>, onAuthorizedMerchantUpdated: Subject<string>, onAuthorizedMerchantActivationFailed: Subject<string>, onMerchantIFrameDisplayRequested: Subject<string>, onMerchantIFrameCloseRequested: Subject<string>, onInitializationRequired: Subject<void>);
}
export declare class InitializedHypernetContext {
    account: EthereumAddress;
    publicIdentifier: PublicIdentifier;
    inControl: boolean;
    onControlClaimed: Subject<ControlClaim>;
    onControlYielded: Subject<ControlClaim>;
    onPushPaymentSent: Subject<PushPayment>;
    onPullPaymentSent: Subject<PullPayment>;
    onPushPaymentReceived: Subject<PushPayment>;
    onPullPaymentReceived: Subject<PullPayment>;
    onPushPaymentUpdated: Subject<PushPayment>;
    onPullPaymentUpdated: Subject<PullPayment>;
    onBalancesChanged: Subject<Balances>;
    onMerchantAuthorized: Subject<string>;
    onAuthorizedMerchantUpdated: Subject<string>;
    onAuthorizedMerchantActivationFailed: Subject<string>;
    onMerchantIFrameDisplayRequested: Subject<string>;
    onMerchantIFrameCloseRequested: Subject<string>;
    onInitializationRequired: Subject<void>;
    authorizedMediators: Map<string, string>;
    constructor(account: EthereumAddress, publicIdentifier: PublicIdentifier, inControl: boolean, onControlClaimed: Subject<ControlClaim>, onControlYielded: Subject<ControlClaim>, onPushPaymentSent: Subject<PushPayment>, onPullPaymentSent: Subject<PullPayment>, onPushPaymentReceived: Subject<PushPayment>, onPullPaymentReceived: Subject<PullPayment>, onPushPaymentUpdated: Subject<PushPayment>, onPullPaymentUpdated: Subject<PullPayment>, onBalancesChanged: Subject<Balances>, onMerchantAuthorized: Subject<string>, onAuthorizedMerchantUpdated: Subject<string>, onAuthorizedMerchantActivationFailed: Subject<string>, onMerchantIFrameDisplayRequested: Subject<string>, onMerchantIFrameCloseRequested: Subject<string>, onInitializationRequired: Subject<void>, authorizedMediators: Map<string, string>);
}
//# sourceMappingURL=HypernetContext.d.ts.map